import * as cdk from 'aws-cdk-lib';
import { Construct } from 'constructs';
/**
 * @internal
 */
export declare abstract class ImageBuilderObjectBase extends cdk.Resource {
    protected constructor(scope: Construct, id: string);
    protected generateVersion(type: 'Component' | 'ImageRecipe' | 'ContainerRecipe' | 'Workflow', name: string, data: any): string;
    private versionFunction;
}
